push_front.hpp File Reference

## Classes

struct | ranges::push_front_fn

## Typedefs

template<typename Cont , typename T >
using | ranges::push_front_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_front(std::declval< T >())))

## Functions

template<typename Cont , typename Rng >
CPP_TEMPLATE_AUX_0 | ranges::i (requires lvalue_container_like< Cont > &&range< Rng >) iiinsert_t< Cont
template<typename Cont , typename T >
CPP_TEMPLATE_AUX_0 | ranges::p (requires lvalue_container_like< Cont > &&(!range< T >) &&constructible_from< range_value_t< Cont >, T >) pppush_back_t< Cont
CPP_TEMPLATE_AUX_0 Rng | ranges::push_front (Cont &&cont, Rng &&rng)
CPP_TEMPLATE_AUX_0 T | ranges::push_front (Cont &&cont, T &&t)

## Variables

constexpr adl_push_front_detail::push_front_fn | ranges::actions::push_front {}